org.keycloak.account.freemarker

## Class FreeMarkerAccountProvider

- java.lang.Object
- - org.keycloak.account.freemarker.FreeMarkerAccountProvider

- All Implemented Interfaces:
    AccountProvider, Provider

      public class FreeMarkerAccountProvider
      extends Object
      implements AccountProvider

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FreeMarkerAccountProvider.MessageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeMarkerAccountProvider(KeycloakSession session, FreeMarkerUtil freeMarker)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `javax.ws.rs.core.Response` | `createResponse(AccountPages page)`
    `AccountProvider` | `setError(String message)`
    `AccountProvider` | `setEvents(List<Event> events)`
    `AccountProvider` | `setFeatures(boolean social, boolean audit, boolean passwordUpdateSupported)`
    `AccountProvider` | `setRealm(RealmModel realm)`
    `AccountProvider` | `setReferrer(String[] referrer)`
    `AccountProvider` | `setSessions(List<UserSessionModel> sessions)`
    `AccountProvider` | `setStatus(javax.ws.rs.core.Response.Status status)`
    `AccountProvider` | `setSuccess(String message)`
    `AccountProvider` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`
    `AccountProvider` | `setUser(UserModel user)`
    `AccountProvider` | `setWarning(String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FreeMarkerAccountProvider

          public FreeMarkerAccountProvider(KeycloakSession session,
                                   FreeMarkerUtil freeMarker)

  - ### Method Detail

    - #### setUriInfo

          public AccountProvider setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

      Specified by:
        `setUriInfo` in interface `AccountProvider`

    - #### createResponse

          public javax.ws.rs.core.Response createResponse(AccountPages page)

      Specified by:
        `createResponse` in interface `AccountProvider`

    - #### setError

          public AccountProvider setError(String message)

      Specified by:
        `setError` in interface `AccountProvider`

    - #### setSuccess

          public AccountProvider setSuccess(String message)

      Specified by:
        `setSuccess` in interface `AccountProvider`

    - #### setWarning

          public AccountProvider setWarning(String message)

      Specified by:
        `setWarning` in interface `AccountProvider`

    - #### setUser

          public AccountProvider setUser(UserModel user)

      Specified by:
        `setUser` in interface `AccountProvider`

    - #### setRealm

          public AccountProvider setRealm(RealmModel realm)

      Specified by:
        `setRealm` in interface `AccountProvider`

    - #### setStatus

          public AccountProvider setStatus(javax.ws.rs.core.Response.Status status)

      Specified by:
        `setStatus` in interface `AccountProvider`

    - #### setReferrer

          public AccountProvider setReferrer(String[] referrer)

      Specified by:
        `setReferrer` in interface `AccountProvider`

    - #### setEvents

          public AccountProvider setEvents(List<Event> events)

      Specified by:
        `setEvents` in interface `AccountProvider`

    - #### setSessions

          public AccountProvider setSessions(List<UserSessionModel> sessions)

      Specified by:
        `setSessions` in interface `AccountProvider`

    - #### setFeatures

          public AccountProvider setFeatures(boolean social,
                                    boolean audit,
                                    boolean passwordUpdateSupported)

      Specified by:
        `setFeatures` in interface `AccountProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2014. All Rights Reserved.